function  battle_bai007(npcID)--伏羲
	

	
	n=flag.GetBattleValue(16001)
	m=flag.GetBattleValue(16002)
	l=flag.GetBattleValue(16007)
	f3=flag.GetBattleValue(16013)
	n=n+1
	
	if l~=0 then
		flag.SetBattleValue(16007,0)
		--[[if l==1 then
			battle.ChangeNpc(6011,6009) 
		elseif l==2 then
			battle.ChangeNpc(6011,6010) 
		end]]
		if l==3 then
			if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
			else
			dead=0
			end
			battle.MagicToPlayer(0,337,1)
		else
			if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
			else
			dead=0
			end
			battle.MagicToPlayer(0,259,1)
		end
	else
		--都被打爆
		if battle.CheckNpcPlace(3)==1 and battle.CheckNpcPlace(2)==1 then
			--召唤被打爆的台子
			--battle.BeginSummon()
			flag.SetBattleValue(19020,1)  --称号旗标
			battle.AddNpc(6012,2)
			battle.AddNpc(6013,3)
			if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
			else
			dead=0
			end
			battle.MagicToPlayer(0,259,1)
		--向左转
		elseif battle.CheckNpcPlace(3)==1 and battle.CheckNpcPlace(2)==0 then
			flag.SetBattleValue(19020,1)  --称号旗标
			camera.Save()
			--camera.ChangeCameraStatic(2413,886,5705,2412,877,5606)
			camera.Shake(5.4,10)
			npc.SetAnimSpeed(npcID,20)
			
			npc.SetAnim(npcID,17,1) 
			
			--battle.MagicToPlayer(0,259,1)
			
			
			
			battle.AddNpc(6000,3)
			id2=battle.GetPlaceNpcID(2)
			battle.ChangeNpcByID(id2,6013)
			flag.SetBattleValue(16002,1)
			flag.SetBattleValue(16007,1)
			battle.ChangeNpc(6011,6009,89997)
			battle.MakeNpcQueueFront(89997)
		--向右转
		elseif battle.CheckNpcPlace(2)==1 and battle.CheckNpcPlace(3)==0 then
			flag.SetBattleValue(19020,1)  --称号旗标
			camera.Save()
			--camera.ChangeCameraStatic(2413,886,5705,2412,877,5606)
			camera.Shake(5.4,10)
			npc.SetAnimSpeed(npcID,20)
			
			npc.SetAnim(npcID,18,1) 
			--battle.MagicToPlayer(0,259,1)
			--[[播放向右转动画
			]]		
			--换脸
			
			--召唤被打爆的台子
			--battle.BeginSummon()
			battle.AddNpc(6000,2)
			id3=battle.GetPlaceNpcID(3)
			battle.ChangeNpcByID(id3,6012)
			flag.SetBattleValue(16002,1)
			--恢复
			flag.SetBattleValue(16007,2)
			battle.ChangeNpc(6011,6010,89998)
			battle.MakeNpcQueueFront(89998)
		--随机旋转
		elseif n%4==0 then
			flag.SetBattleValue(16002,1)
			flag.SetBattleValue(16001,n)
			if battle.GetRndNumber(1,2)==1 then
				npc.SetAnimSpeed(npcID,20)
				npc.SetAnim(npcID,17,1)
				--[[播放旋转+左转动画
				]]
				--换脸
				id2=battle.GetPlaceNpcID(2)
				battle.ChangeNpcByID(id2,6013)
				id3=battle.GetPlaceNpcID(3)
				battle.ChangeNpcByID(id3,6000)	
				flag.SetBattleValue(16007,3)
				battle.ChangeNpc(6011,6009,89997)
				battle.MakeNpcQueueFront(89997)
			else
				npc.SetAnimSpeed(npcID,20)
				npc.SetAnim(npcID,18,1)
				--[[播放旋转+右转动画
				]]
				--换脸
				id2=battle.GetPlaceNpcID(2)
				battle.ChangeNpcByID(id2,6000)
				id3=battle.GetPlaceNpcID(3)
				battle.ChangeNpcByID(id3,6012)	
				flag.SetBattleValue(16007,3)
				battle.ChangeNpc(6011,6010,89998)
				battle.MakeNpcQueueFront(89998)
			end
			flag.SetBattleValue(16002,1)
		--普通攻击
		elseif m==1 then

			
			flag.SetBattleValue(16001,n)
			flag.SetBattleValue(16002,2)
			battle.MagicToPlayer(0,255,1)

		else
			if f3>=1 then
				debuff=f3+67
				if debuff>=74 then
					flag.SetBattleValue(19018,1)
					debuff=74
				end
				player.RemoveStat(1,0,debuff-1)
				player.AddStat(1,0,100,debuff,10000)
				flag.SetBattleValue(16013,f3+1)
				flag.SetBattleValue(16001,n)
				if battle.CheckNpcStat(npcID,734)==1 then
			    dead=1
			    else
			    dead=0
			    end
				battle.MagicToPlayer(0,258,1)
			elseif f3==0 then
				battle.MagicToPlayer(0,255,1)
			end

		end
	end
end